Subject: Re: [PATCH 2/2] net: mv643xx_eth: proper initialization for Kirkwood SoCs

From: Andrew Lunn <[email-masked]>
Date: Fri, 24 May 2013 18:53:15 +0200

> > Why are you not keen on this? It seems like normal device driver
> > practice, that is what the data field of of_device_id is typically
> > used for..
> 
> I'm not keen on it because we don't have a document saying "All kirkwood
> SoCs need PSC1 set to X after reset."  We know it, but have we tested
> the 6282?

6282 looses its MAC address, that much i know. I've no idea about
PSC1, but if its MAC address behaviour is the same as 6281, is expect
PSC1 is the same.

	Andrew